%define upstream_name    Log-Contextual
%define upstream_version 0.008001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Super simple logger made for playing with Log::Contextual
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Log/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper::Concise)
BuildRequires: perl(Exporter::Declare) >= 0.111.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Moo) >= 1.3.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildArch:  noarch

%description
This module is a simple interface to extensible logging. It is bundled with
a really basic logger, the Log::Contextual::SimpleLogger manpage, but in
general you should use a real logger instead of that. For something more
serious but not overly complicated, try the Log::Dispatchouli manpage (see
the /SYNOPSIS manpage for example.)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.8.1-3.mga8
+ Revision: 1504976
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.8.1-2.mga7
+ Revision: 1284514
- Mageia 7 Mass Rebuild

* Mon Jan 22 2018 tv <tv> 0.8.1-1.mga7
+ Revision: 1195814
- update to 0.008001

* Thu Nov 30 2017 tv <tv> 0.8.0-1.mga7
+ Revision: 1180483
- update to 0.008000

* Tue Oct 03 2017 tv <tv> 0.7.1-2.mga7
+ Revision: 1165271
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 0.7.1-1.mga7
+ Revision: 1158060
- update to 0.007001

* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-2.mga6
+ Revision: 1029322
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 1002117
- update to 0.007000

* Thu Feb 18 2016 umeabot <umeabot> 0.6.5-2.mga6
+ Revision: 967406
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.6.5-1.mga6
+ Revision: 848833
- update to 0.006005

* Wed Oct 15 2014 umeabot <umeabot> 0.6.4-3.mga5
+ Revision: 749011
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.4-2.mga5
+ Revision: 685258
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 sander85 <sander85> 0.6.4-1.mga5
+ Revision: 653219
- update to 0.006004

* Fri Feb 28 2014 jquelin <jquelin> 0.6.3-1.mga5
+ Revision: 597819
- update to 0.006003

* Sat Oct 19 2013 umeabot <umeabot> 0.6.0-2.mga4
+ Revision: 534068
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.6.0-1.mga4
+ Revision: 476216
- update to 0.006000

* Fri Aug 09 2013 sander85 <sander85> 0.5.5-1.mga4
+ Revision: 464886
- update to 0.005005

* Mon Jun 10 2013 jquelin <jquelin> 0.5.3-1.mga4
+ Revision: 441667
- update to 0.005003

* Sun Jan 13 2013 umeabot <umeabot> 0.4.300-2.mga3
+ Revision: 369210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 jquelin <jquelin> 0.4.300-1.mga3
+ Revision: 302781
- update to 0.004300

* Fri Aug 31 2012 kharec <kharec> 0.4.202-1.mga3
+ Revision: 286240
- update to 0.004202

* Tue Jun 05 2012 jquelin <jquelin> 0.4.100-1.mga3
+ Revision: 255075
- update to 0.004100
- update to 0.004001
+ kharec <kharec>
- update to 0.00305

* Mon Jan 24 2011 jquelin <jquelin> 0.3.40-1.mga1
+ Revision: 37073
- mageia rebuild
- imported package perl-Log-Contextual

